<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Danoral\Entidades\Entidad;

class DolarizarEdif extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'dolarizar {mesDesde} {codEdif}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Dolariza un Edificio';

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $codEdif = $this->argument('codEdif');
        $mesDesde = $this->argument('mesDesde');
        $anoDesde = Entidad::$ANO_ACTUAL;
        $this->info("dolarizar: $codEdif desde mes $mesDesde/$anoDesde");
        
        Entidad::dolarizar($codEdif, $mesDesde, $anoDesde);
        //Entidad::dolarizar($codEdif, $mesDesde, 2024); //el ano seleciona el schema donde se origina la dolarizacion

        return Command::SUCCESS;
    }
}
